Bug 1128729 - No timeout when requesting data by ovirt optimizer
Summary: No timeout when requesting data by ovirt optimizer
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: All
OS: All
medium
medium
Target Milestone: ---
: 3.5.0
Assignee: Martin Sivák
QA Contact: Lukas Svaty
URL:
Whiteboard: sla
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-11 12:34 UTC by Lukas Svaty
Modified: 2016-02-10 19:41 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:43:56 UTC
oVirt Team: SLA


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 31512 None None None Never

Description Lukas Svaty 2014-08-11 12:34:04 UTC
Description of problem:
Status: Waiting for data... is displayed all the time even if data is not acquired by ovirt optimizer. In case of network issue or ui plugin pointing to bad network location admin should be notified about this fact

Version-Release number of selected component (if applicable):
ovirt-rc1

How reproducible:
100%

Steps to Reproduce:
1. Set optimizer-ui plugin to random address
2. Wait for data that will never come

Actual results:
Status: Waiting for data..

Expected results:
Error in events, or some kind of notification for admin.

Comment 1 Martin Sivák 2014-08-26 11:38:07 UTC
Fixed in the current version.

Comment 2 Sandro Bonazzola 2014-10-17 12:43:56 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.